Permalink
Browse files

Make it work with AS 2.3. Properly require AS

  • Loading branch information...
1 parent d98cb08 commit 3ffdf31d0c4475e903971f651a5050f80eaa0ec4 Tobi Knaup committed Nov 23, 2010
Showing with 2 additions and 2 deletions.
  1. +1 −1 buffered_syslogger.gemspec
  2. +1 −1 lib/buffered_syslogger.rb
@@ -21,6 +21,6 @@ that logs to syslog instead of a log file. Builds on the syslogger gem.
s.rubyforge_project = 'nowarning'
s.required_rubygems_version = '>= 1.3.6'
- s.add_runtime_dependency "activesupport", ">= 3.0.0"
+ s.add_runtime_dependency "activesupport", ">= 2.3.2"
s.add_development_dependency "rspec", ">= 2.0.0"
end
@@ -1,6 +1,6 @@
require 'syslog'
require 'logger'
-require 'active_support/buffered_logger'
+require 'active_support'
class BufferedSyslogger < ActiveSupport::BufferedLogger
attr_reader :ident, :options, :facility

0 comments on commit 3ffdf31

Please sign in to comment.